Subject: [EAI] Where is my inbox?

From: Franck Martin <[email-masked]>
Date: Fri, 16 Nov 2012 17:41:32 +0000

As part of the EAI and IMAP, would it be interesting for this group to define some IMAP flags that would indicate to the IMAP clients, which one of the folders are the:

-inbox
-sent folder
-spam folder
-trash
-calendar
-contacts
-notes

http://tools.ietf.org/html/rfc3501

mbx-list-oflag  = "\Noinferiors" / flag-extension
                    ; Other flags; multiple possible per LIST response

Allows flag extensions.

Unless this has been defined somewhere else.

---

From: Timo Sirainen <[email-masked]>
Date: Fri, 16 Nov 2012 19:52:17 +0200

> As part of the EAI and IMAP, would it be interesting for this group to define some IMAP flags that would indicate to the IMAP clients, which one of the folders are the:

INBOX is always named INBOX.

> -trash 

These are defined by RFC 6154.

> -notes

IMAP protocol has no calendar or contact features. If these are visible at all to clients, they are already highly specific to that client (and maybe server). Kolab uses METADATA for marking those mailboxes. Exchange I think shows them always as empty, so it could just as well have hidden them entirely.

---

From: Alexey Melnikov <[email-masked]>
Date: Fri, 16 Nov 2012 17:53:22 +0000

Hi,

On 16/11/2012 17:41, Franck Martin wrote:
> As part of the EAI and IMAP, would it be interesting for this group to 
> define some IMAP flags that would indicate to the IMAP clients, which 
> one of the folders are the:
>
> -inbox
> -sent folder
> -spam folder
> -trash
> -calendar
> -contacts
> -notes
>

Yes, a solved problem:

http://www.rfc-editor.org/rfc/rfc6154.txt

Apart from Calendar/Contact/Notes, which would need their own attributes.

---

From: Franck Martin <[email-masked]>
Date: Fri, 16 Nov 2012 18:15:08 +0000

>These are defined by RFC 6154.

Cool, I had a look at that before 2011, so glad it has been defined since.

>
>> -calendar
>> -contacts
>> -notes
>
>IMAP protocol has no calendar or contact features. If these are visible
>at all to clients, they are already highly specific to that client (and
>maybe server). Kolab uses METADATA for marking those mailboxes. Exchange
>I think shows them always as empty, so it could just as well have hidden
>them entirely.

Well, there is an rfc for ical and vcard, you need to store them
somewhere...

---

From: John C Klensin <[email-masked]>
Date: Fri, 16 Nov 2012 14:10:28 -0500

--On Friday, November 16, 2012 17:41 +0000 Franck Martin
<[email-masked]> wrote:

> As part of the EAI and IMAP, would it be interesting for this
> group to define some IMAP flags that would indicate to the
> IMAP clients, which one of the folders are the:

Franck (and others),

EAI is essentially finished.  The last four documents should be
in the hands of the IESG Secretary later today and will
presumably go to the RFC Editor next week (or sooner).   Once
that occurs, I expect that there will be no activity on this
list or in the WG until and unless one of the following occurs:

* someone discovers a new, showstopper, issue with one of the
current set of four documents

* either before or during AUTH48, .the RFC Editor or authors
have a question that cannot be resolved without going back to
the WG

As discussed in Atlanta and earlier, once those four documents
are published, the WG will be shut down or suspended (which one
is up to the ADs).

People may obviously propose new work at any time, but it won't
be done in this WG, at least without a revised charter and
change of leadership.

    john

---

From: Edward Lewis <[email-masked]>
Date: Fri, 16 Nov 2012 15:26:49 -0500

>be done in this WG, at least without a revised charter and

That doesn't mean work has to stop.  There are lists that have 
"survived" its WG and went on to accomplish more[1] than the original 
WG.

[1] In the case of the EPP protocol, more RFCs were published after 
PROVREG WG shutdown than during the WG.  The WG shut down once EPP 
achieved PS.  The protocol then went to DS and then Full Standard via 
the list alone.
-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis
NeuStar                    You can leave a voice message at +1-571-434-5468

2012...time to reuse those 1984 calendars!

---

From: Cyrus Daboo <[email-masked]>
Date: Fri, 16 Nov 2012 16:00:08 -0500

Hi Franck,

> Well, there is an rfc for ical and vcard, you need to store them

CalDAV: RFC4791/RFC6638
CardDAV: RFC6352

-- 
Cyrus Daboo